Package org.spongepowered.asm.mixin.injection.code

## Interface ISliceContext

All Superinterfaces:
  `IInjectionPointContext`, `IMessageSink`, `ISelectorContext`

All Known Implementing Classes:
  `CallbackInjectionInfo`, `InjectionInfo`, `ModifyArgInjectionInfo`, `ModifyArgsInjectionInfo`, `ModifyConstantInjectionInfo`, `ModifyVariableInjectionInfo`, `RedirectInjectionInfo`

    public interface ISliceContext
    extends IInjectionPointContext

Context for a slice declaration

### Method Summary

All Methods Instance Methods Abstract Methods
`MethodSlice` `getSlice​(java.lang.String id)` Fetch slice with the specified id from this context, the slice id may be transformed internally by the context according to restrictions on the injector itself

### Methods inherited from interface org.spongepowered.asm.mixin.injection.IInjectionPointContext

`getAnnotationNode, getMethod`

### Methods inherited from interface org.spongepowered.asm.util.IMessageSink

`addMessage`

### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ISelectorContext

`getAnnotation, getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

### Method Detail

#### getSlice

    MethodSlice getSlice​(java.lang.String id)

Fetch slice with the specified id from this context, the slice id may be transformed internally by the context according to restrictions on the injector itself

Parameters:
  `id` - slice id to fetch
Returns:
  method slice matching query